import { _decorator, Component, Label, Widget } from 'cc';
const { ccclass, executeInEditMode } = _decorator;
@ccclass('Batch')
@executeInEditMode
export class Batch extends Component {
    protected start(): void {
        console.log(`👇👇👇👇👇开始执行批处理👇👇👇👇👇`);
        let labels = this.node.getComponentsInChildren(Label);
        for (let i = 0, len = labels.length; i < len; i++) {
            let lb = labels[i];
            lb.string = '布布想回家' + labels[i].node.name;
            // lb.node.addComponent(你想要替换的组件);
            // lb.destroy();
            console.log(`🎯 ${i}: 对节点“${lb.node.name}”处理完毕`);
        }
        this.destroy();
        console.log(`👆👆👆👆👆批处理执行完毕👆👆👆👆👆`);
    }
}